
BIBD 3.9.8 (BCR1085, BCR1093, BCR1098) - Enhancement #17214

[BCR1093][iOS][Device Binding - Login] Remove requestOtp ws and call new WS for validate OTP

during Login

16 August 2023 09:37 PM - Nor Khairun Aqila Jesmen

Status: Closed Start date: 16 August 2023

Priority: Normal Due date:  

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 2.00 hours

Target version:  Spent time: 2.00 hours

Description

Update flow:

1. after the customer enter mobile password / hardware token and click login, FE just call loginTokenConfirm / 

loginMobilePasswordConfirm / verifyIdentityWithMobilePasswordConfirm

2. if deviceLevel = PRIMARY_NEW with success status, FE direct display OTP screen no call requestOtp.

BE will request OTP directly themselves and no proceed bind yet

3. after customer input OTP and click Next for login, then FE call BE new WS for validate OTP and bind - deviceBindingPrimary ws.

BE will validate OTP and bind the customer

***for other deviceLevel, flow remain as it is

History

#1 - 18 August 2023 04:12 PM - Rafly Prayogos

- File WhatsApp Video 2023-08-18 at 15.09.34.mp4 added

- File WhatsApp Video 2023-08-18 at 15.09.35.mp4 added

- Status changed from New to Resolved

- Assignee changed from Rafly Prayogos to Nor Khairun Aqila Jesmen

- % Done changed from 0 to 100

- Estimated time set to 2.00

SIT Build -> https://i.diawi.com/rSnFzV

#2 - 04 September 2023 03:04 PM - Nor Khairun Aqila Jesmen

- Status changed from Resolved to Closed

- Assignee changed from Nor Khairun Aqila Jesmen to wanansari wanansari

Tested good

Files

BIBD MIB BCR1093 Device Binding API v5.0.docx 86.9 KB 16 August 2023 Nor Khairun Aqila Jesmen

WhatsApp Video 2023-08-18 at 15.09.34.mp4 2.41 MB 18 August 2023 Rafly Prayogos

WhatsApp Video 2023-08-18 at 15.09.35.mp4 915 KB 18 August 2023 Rafly Prayogos
